API Documentation |
LargeBitmapData

Package | ch.unil.cbg.ExpressionView.utilities
Class | public class LargeBitmapData
Inheritance | LargeBitmapData Object

The LargeBitmapData class can store bitmapdata of arbitrary size.

Public Properties

| Property | Defined By
--- | --- | ---
|  | height : Number | LargeBitmapData
|  | width : Number | LargeBitmapData

Public Methods

| Method | Defined By
--- | --- | ---
|  | LargeBitmapData(_width:Number = 1, _height:Number = 1) Constructor. | LargeBitmapData
|  | getData(sourceRect:Rectangle, targetRect:Rectangle):BitmapData Get the rescaled bitmapdata. | LargeBitmapData
|  | getPixel(x:Number, y:Number):uint Get the color of a Pixel. | LargeBitmapData
|  | lock():void Lock largebitmapdata before setting pixels. | LargeBitmapData
|  | setPixel(x:Number, y:Number, value:uint):void Set the color of a Pixel. | LargeBitmapData
|  | unlock():void Unlock largebitmapdata after setting pixels. | LargeBitmapData

Property Detail

height | property

`public var height:Number`

width | property |

`public var width:Number`

Constructor Detail

LargeBitmapData | () | Constructor

`public function LargeBitmapData(_width:Number = 1, _height:Number = 1)`

Constructor.

Parameters

| `_width:Number` (default = `1`)``
| `_height:Number` (default = `1`)``

Method Detail

getData | () | method

`public function getData(sourceRect:Rectangle, targetRect:Rectangle):BitmapData`

Get the rescaled bitmapdata.

Parameters

| `sourceRect:Rectangle` — Part of the bitmap you want to scale
| `targetRect:Rectangle` — Target size

Returns

| `BitmapData` — Bitmapdata containing a rescaled part of the bitmap

getPixel | () | method |

`public function getPixel(x:Number, y:Number):uint`

Get the color of a Pixel.

Parameters

| `x:Number` — x-Position
| `y:Number` — y-Position

Returns

| `uint` — uint representing the color

lock | () | method |

`public function lock():void`

Lock largebitmapdata before setting pixels.

setPixel | () | method |

`public function setPixel(x:Number, y:Number, value:uint):void`

Set the color of a Pixel.

Parameters

| `x:Number` — x-Position
| `y:Number` — y-Position
| `value:uint` — uint representing the color

unlock | () | method |

`public function unlock():void`

Unlock largebitmapdata after setting pixels.

Mon Oct 17 2011, 09:13 PM -04:00